package org.ccpit.business.registerManage;


import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.*;
import java.io.Serializable;
import java.util.Date;

/**
 * ClassName:报名科目信息表 <br/>
 * Date:     2021年04月13日 下午1:33:37 <br/>
 *
 * @author dingwei
 * @see
 * @since JDK 1.8
 */
@Entity
@Table(name = "reg_subjectInfo")
public class SubjectInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    private long id;
    /**
     * 注册用户姓名
     */
    private String registerName;
    /**
     * 注册用户信息id
     */
    private long registerInfo_id;
    /**
     * 报名科目
     */
    private Integer subject;
    /**
     * 报名状态
     */
    private Integer registerStatus;
    /**
     * 发票  增值税发票类型  1 表示 增值税普通发票 | 2 表示增值税专用发票
     */
    private Integer appreciationTaxType;
    /**
     * 发票类型 :CDCS考试费 | 培训费 | 培训服务费
     */
    private Integer invoiceType;
    /**
     * 发票抬头
     */
    private String invoiceTitle;
    /**
     * 发票 纳税人识别号
     */
    private String taxpayerNum;
    /**
     * 发票 公司地址
     */
    private String addressName;
    /**
     * 发票 公司电话
     */
    private String telephone;
    /**
     * 发票 开户行
     */
    private String bankAddress;
    /**
     * 银行账号
     */
    private String bankAccount;
    /**
     * 证书照1
     */
    private String img1;
    /**
     * 证书照2
     */
    private String img2;
    /**
     * 证书照3
     */
    private String img3;
    /**
     * 发票开具时间
     */
    private Integer taxIssue;
    /**
     * 备注
     */
    private String remark;
    /**
     * 期数id
     */
    private long phaseId;
    /**
     * 期数名称
     */
    private String phaseName;
    /**
     * 缴费时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date payTime;
    /**
     * 提交时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date submitTime;
    /**
     * 修改时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date modifyTime;
    /**
     * 发票内容
     */
    private String invoiceInfo;

    @Id
    @GeneratedValue(strategy = GenerationType.AUTO)
    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    public long getRegisterInfo_id() {
        return registerInfo_id;
    }

    public void setRegisterInfo_id(long registerInfo_id) {
        this.registerInfo_id = registerInfo_id;
    }

    public Integer getSubject() {
        return subject;
    }

    public void setSubject(Integer subject) {
        this.subject = subject;
    }

    public Integer getRegisterStatus() {
        return registerStatus;
    }

    public void setRegisterStatus(Integer registerStatus) {
        this.registerStatus = registerStatus;
    }

    public Integer getAppreciationTaxType() {
        return appreciationTaxType;
    }

    public void setAppreciationTaxType(Integer appreciationTaxType) {
        this.appreciationTaxType = appreciationTaxType;
    }

    public String getTaxpayerNum() {
        return taxpayerNum;
    }

    public void setTaxpayerNum(String taxpayerNum) {
        this.taxpayerNum = taxpayerNum;
    }

    public String getAddressName() {
        return addressName;
    }

    public void setAddressName(String addressName) {
        this.addressName = addressName;
    }

    public String getTelephone() {
        return telephone;
    }

    public void setTelephone(String telephone) {
        this.telephone = telephone;
    }

    public String getBankAddress() {
        return bankAddress;
    }

    public void setBankAddress(String bankAddress) {
        this.bankAddress = bankAddress;
    }

    public String getBankAccount() {
        return bankAccount;
    }

    public void setBankAccount(String bankAccount) {
        this.bankAccount = bankAccount;
    }

    public String getImg1() {
        return img1;
    }

    public void setImg1(String img1) {
        this.img1 = img1;
    }

    public String getImg2() {
        return img2;
    }

    public void setImg2(String img2) {
        this.img2 = img2;
    }

    public String getImg3() {
        return img3;
    }

    public void setImg3(String img3) {
        this.img3 = img3;
    }

    public Integer getTaxIssue() {
        return taxIssue;
    }

    public void setTaxIssue(Integer taxIssue) {
        this.taxIssue = taxIssue;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public Date getPayTime() {
        return payTime;
    }

    public void setPayTime(Date payTime) {
        this.payTime = payTime;
    }

    public Date getSubmitTime() {
        return submitTime;
    }

    public void setSubmitTime(Date submitTime) {
        this.submitTime = submitTime;
    }

    public Date getModifyTime() {
        return modifyTime;
    }

    public Integer getInvoiceType() {
        return invoiceType;
    }

    public void setInvoiceType(Integer invoiceType) {
        this.invoiceType = invoiceType;
    }

    public void setModifyTime(Date modifyTime) {

        this.modifyTime = modifyTime;
    }

    public String getInvoiceTitle() {
        return invoiceTitle;
    }

    public long getPhaseId() {
        return phaseId;
    }

    public void setPhaseId(long phaseId) {
        this.phaseId = phaseId;
    }

    public String getPhaseName() {
        return phaseName;
    }

    public void setPhaseName(String phaseName) {
        this.phaseName = phaseName;
    }

    public void setInvoiceTitle(String invoiceTitle) {
        this.invoiceTitle = invoiceTitle;
    }

    public String getInvoiceInfo() {
        return invoiceInfo;
    }

    public void setInvoiceInfo(String invoiceInfo) {
        this.invoiceInfo = invoiceInfo;
    }

    public String getRegisterName() {
        return registerName;
    }

    public void setRegisterName(String registerName) {
        this.registerName = registerName;
    }
}
